Package com.google.protobuf

# Interface Internal.LongList

All Superinterfaces:
  `Collection<Long>`, `Internal.ProtobufList<Long>`, `Iterable<Long>`, `List<Long>`, `RandomAccess`, `SequencedCollection<Long>`

Enclosing class:
  `Internal`

public static interface Internal.LongList extends Internal.ProtobufList<Long>
A `List` implementation that avoids boxing the elements into Longs if possible. Does not support null elements.

## Method Summary

Modifier and Type
Method
Description
`void`
`addLong(long element)`
Like `List.add(Object)` but more efficient in that it doesn't box the element.
`long`
`getLong(int index)`
Like `List.get(int)` but more efficient in that it doesn't box the returned value.
`Internal.LongList`
`mutableCopyWithCapacity(int capacity)`
Returns a mutable clone of this list with the specified capacity.
`long`
`setLong(int index, long element)`
Like `List.set(int, Object)` but more efficient in that it doesn't box the element.

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface com.google.protobuf.Internal.ProtobufList

`isModifiable, makeImmutable`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, addFirst, addLast, clear, contains, containsAll, equals, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, set, size, sort, spliterator, subList, toArray, toArray`

## Method Details

### getLong

long getLong(int index)
Like `List.get(int)` but more efficient in that it doesn't box the returned value.

### addLong

void addLong(long element)
Like `List.add(Object)` but more efficient in that it doesn't box the element.

### setLong

@CanIgnoreReturnValue long setLong(int index, long element)
Like `List.set(int, Object)` but more efficient in that it doesn't box the element.

### mutableCopyWithCapacity

Internal.LongList mutableCopyWithCapacity(int capacity)
Returns a mutable clone of this list with the specified capacity.

Specified by:
  `mutableCopyWithCapacity` in interface `Internal.ProtobufList<Long>`